#ifndef CORE_ERROR_SIMULATOR_H
#define CORE_ERROR_SIMULATOR_H

#ifdef ERROR_SIMULATOR
extern bool failFileClose;
extern bool failTimeGet;
extern bool failThreadInit;
extern bool failThreadJoin;
extern bool failMutexInit;
extern bool failMutexLock;
extern bool failMutexUnlock;
#define FILE_CLOSE_FAIL failFile
#define TIME_GET_FAIL failTimeGet
#define THREAD_INIT_FAIL failThreadInit
#define THREAD_JOIN_FAIL failThreadJoin
#define MUTEX_INIT_FAIL failMutexInit
#define MUTEX_LOCK_FAIL failMutexLock
#define MUTEX_UNLOCK_FAIL failMutexUnlock
#else
#define FILE_CLOSE_FAIL false
#define TIME_GET_FAIL false
#define THREAD_INIT_FAIL false
#define THREAD_JOIN_FAIL false
#define MUTEX_INIT_FAIL false
#define MUTEX_LOCK_FAIL false
#define MUTEX_UNLOCK_FAIL false
#endif

#endif
